Subject: ReflectionService prevents model from extending abstract base model without repository
Description

Hey!

i ran into some difficulties with using a base class for my models. The "ensureAggregateRootInheritanceChainConsistency" function
of the ReflectionService prevents me from extending my Models from another class.

I attached a diff to allow the extending from abstract classes.

Greetings Marc

Associated revisions
Revision 2d62b1e8 - 2012-07-04 11:04 - Karsten Dambekalns

[BUGFIX] Skip abstract classes in ensureAggregateRootInheritanceChainConsistency

When using an abstract base class for domain models, the checks done in
ensureAggregateRootInheritanceChainConsistency() would fail, even though
it is fine to have an abstract base class not being aggregate root.

Change-Id: I51d33c69be577ce0d1c0f663042c0de5ec6109e7
Fixes: #31522
Releases: 1.0, 1.1, 1.2

Revision d466d603 - 2012-07-04 11:07 - Karsten Dambekalns

[BUGFIX] Skip abstract classes in ensureAggregateRootInheritanceChainConsistency

When using an abstract base class for domain models, the checks done in
ensureAggregateRootInheritanceChainConsistency() would fail, even though
it is fine to have an abstract base class not being aggregate root.

Change-Id: I51d33c69be577ce0d1c0f663042c0de5ec6109e7
Fixes: #31522
Releases: 1.0, 1.1, 1.2

Revision c01cc4a2 - 2012-07-18 11:28 - Karsten Dambekalns
[BUGFIX] Skip abstract classes in ensureAggregateRootInheritanceChainConsistency

When using an abstract base class for domain models, the checks done in
ensureAggregateRootInheritanceChainConsistency() would fail, even though
it is fine to have an abstract base class not being aggregate root.

Change-Id: I51d33c69be577ce0d1c0f663042c0de5ec6109e7
Fixes: #31522
Releases: 1.0, 1.1, 1.2

History
#1 - 2011-11-02 21:12 - Marc Neuhaus

As jwa pointed out in irc i could try it with "@ORM\InheritanceType("JOINED")" but i don't want a table for my abstract class.

i tried to use "@ORM\InheritanceType("SINGLE_TABLE")" but it throws me the error "Base table or view not found: 1146 Table
'flow3.admin_core_model' doesn't exist"

Greetings Marc

#2 - 2011-11-22 12:48 - Karsten Dambekalns
- Target version changed from 1.0.1 to 1.0.2

#3 - 2011-12-15 18:12 - Karsten Dambekalns
- Status changed from New to Accepted

#4 - 2011-12-22 08:51 - Karsten Dambekalns
- Target version changed from 1.0.2 to 1.0.3

#5 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#6 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#7 - 2012-06-05 21:20 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 RC1

#8 - 2012-06-25 20:48 - Karsten Dambekalns
- Subject changed from ReflectionService prevents extending Models from other Models to ReflectionService prevents model from extending abstract 
base model without repository

#9 - 2012-06-25 20:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12361

#10 - 2012-06-27 15:50 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1

#11 - 2012-07-04 11:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12361

#12 - 2012-07-04 11:05 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12589

#13 - 2012-07-04 11:08 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/12590

#14 - 2012-07-04 11:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2d62b1e83ec1cdc3878c79ca6b4a2b08e8d44d40.

#15 - 2012-07-18 11:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12589

#16 - 2012-07-18 11:31 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Target version changed from 1.1 to 1.1 RC2

Files
ReflectionService.diff 575 Bytes 2011-11-02 Marc Neuhaus
